<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
|----------------------------------------------------+
| Infusion: Section Maintenance Infusion v1.4
| Author: Philip "HobbyMan" Daly
| Web: http://www.php-fusion.hobbysites.net/
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."section_maintenance/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."section_maintenance/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."section_maintenance/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."section_maintenance/locale/English.php";
}

add_to_title($locale['global_200'].$locale['sma301']);

    $data_sm = dbarray(dbquery("SELECT * FROM ".DB_SECTION_MAINTENANCE));

	opentable($locale['sma300']);
	
	if($data_sm['sma_show_image'] == 1)
    {
    echo "<div align='center'><br /><img src='".INFUSIONS."section_maintenance/images/maintenance.jpg' width='347' height='346' border='1' align='center' alt='".$locale['sma205']."'></div>\n";
    } else {
    echo "";
    }
    echo "<div><br /><center><br /><table border='0' align='center' cellspacing='0' width='100%'>";
	echo "<tr><td align='center'><b>".$locale['sma301']."</b><br /></td></tr>";
	echo "<tr><td align='center' class='tbl'><br /><hr><p align='center'>".$data_sm['sma_message']."</p><hr></td></tr>";
	echo "<tr><td align='center'><br />".$locale['sma302']."<br /><br /></td></tr>\n";
		
	if($data_sm['sma_time'] == 0)
    {
    echo "";
    } else {
    echo "<tr><td align='center' class='tbl2'><br /><p class='small'>".$locale['sma304']." ".$data_sm['sma_time']."\n";
  
if ($data_sm['sma_period'] == 0) {
echo "".$locale['sma220']."";
} elseif ($data_sm['sma_period'] == 1) {
echo "".$locale['sma221']."";
} elseif ($data_sm['sma_period'] == 2) {
echo "".$locale['sma222']."";
} elseif ($data_sm['sma_period'] == 3) {
echo "".$locale['sma223']."";
} elseif ($data_sm['sma_period'] == 4) {
echo "".$locale['sma224']."";
}
    echo "</p></td></tr>";
    }
	if($data_sm['sma_show_sig'] == "0")
    {
    echo "";
    } else {
    echo "<tr><td align='left' valign='bottom' class='tbl2'><br /><p class='small2'>".$locale['sma305']." ".$data_sm['sma_sign']."&nbsp;".$locale['sma218']."&nbsp;".strftime('%d/%m/%Y %H:%M',            $data_sm['sma_datestamp']+($settings['timeoffset']*3600))."<br /><br /></p></td></tr>";
}	

    echo "</table></center></div>";
    closetable();
 
require_once THEMES."templates/footer.php";
?>